workflows
Create workflows workflows
Requires scopes: eval:write
POST
/
api
/
workflows
Create workflows workflows
curl --request POST \
--url https://evalgate.com/api/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"definition": {
"entrypoint": "<string>",
"nodes": [
{
"type": "decision",
"id": "<string>",
"name": "<string>",
"config": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"label": "<string>",
"condition": "<string>"
}
],
"metadata": {}
},
"status": "draft",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://evalgate.com/api/workflows"
payload = {
"name": "<string>",
"definition": {
"entrypoint": "<string>",
"nodes": [
{
"type": "decision",
"id": "<string>",
"name": "<string>",
"config": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"label": "<string>",
"condition": "<string>"
}
],
"metadata": {}
},
"status": "draft",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
definition: {
entrypoint: '<string>',
nodes: [{type: 'decision', id: '<string>', name: '<string>', config: {}}],
edges: [{from: '<string>', to: '<string>', label: '<string>', condition: '<string>'}],
metadata: {}
},
status: 'draft',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://evalgate.com/api/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"createdBy": "<string>",
"version": 123,
"definition": {
"nodes": [
{
"id": "<string>",
"type": "<string>",
"config": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"condition": "<string>"
}
]
},
"slaLatencyMs": 123,
"slaCostDollars": "<string>",
"slaErrorRate": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create workflows workflows
